Qore Programming Language Reference Manual 0.8.8

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

All Classes Namespaces Functions Variables Groups Pages
Variables
Terminal Attributes Output Mode Constants

## Variables
const | Qore::OCRNL = OCRNL
| map CR to NL on output
const | Qore::ONLCR = ONLCR
| map NL to CR-NL (ala CRMOD)
const | Qore::ONLRET = ONLRET
| NL performs CR function.
const | Qore::ONOCR = ONOCR
| no CR output at column 0
const | Qore::ONOEOT = ONOEOT
| discard EOT's (^D) on output
const | Qore::OPOST = OPOST
| enable following output processing
const | Qore::OXTABS = OXTABS
| expand tabs to spaces

## Detailed Description

If any of the constants in this group is not defined on the host system, then it will be assigned to 0 in Qore.